Bug 93026

Summary: nrwt: clean up logging, pt. 2: clean up printing.py
Product: WebKit Reporter: Dirk Pranke <dpranke>
Component: New BugsAssignee: Dirk Pranke <dpranke>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, ojan, ossy, rniwa, tmpsantos, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 93018, 93043, 93346    
Bug Blocks: 92432    
Attachments:
Description Flags
Patch
none
Patch for landing dpranke: review+

Description Dirk Pranke 2012-08-02 13:56:47 PDT
nrwt: clean up printing.py
Comment 1 Dirk Pranke 2012-08-02 13:58:27 PDT
Created attachment 156159 [details]
Patch
Comment 2 Ojan Vafai 2012-08-02 14:09:29 PDT
Comment on attachment 156159 [details]
Patch

nice!
Comment 3 Dirk Pranke 2012-08-02 17:41:07 PDT
Created attachment 156217 [details]
Patch for landing
Comment 4 Dirk Pranke 2012-08-02 17:41:44 PDT
Comment on attachment 156217 [details]
Patch for landing

this fixes some grammatical nits and spacing as well as a bug with printing unexpected results always.
Comment 5 Dirk Pranke 2012-08-06 13:46:46 PDT
Committed r124800: <http://trac.webkit.org/changeset/124800>
Comment 6 Thiago Marcos P. Santos 2012-08-07 01:50:41 PDT
After this change, instead of the bots displaying some useful information like:

Aug 06 13:53 124800 failure EFL Linux 64-bit Debug #3930 Failed 9 failures 7 flakes

It is now showing:

Aug 06 13:53 124800 failure EFL Linux 64-bit Debug #3930 Failed layout-test
Comment 7 Csaba Osztrogon√°c 2012-08-07 02:00:05 PDT
(In reply to comment #6)
> After this change, instead of the bots displaying some useful information like:
> 
> Aug 06 13:53 124800 failure EFL Linux 64-bit Debug #3930 Failed 9 failures 7 flakes
> 
> It is now showing:
> 
> Aug 06 13:53 124800 failure EFL Linux 64-bit Debug #3930 Failed layout-test

New bug report: https://bugs.webkit.org/show_bug.cgi?id=93346
Patch is coming soon.
Comment 8 Dirk Pranke 2012-08-07 15:29:05 PDT
I thought I had checked this before making the change, but I guess not. Thanks for taking care of it!